# microk8s playbook

## Introduction

This is the top level playbook for the 'microk8s' role, which will install a
microk8s cluster to three or more target hosts.

This role requires at least three target hosts, previously deployed. Each
host should have at least 4GB of RAM and at least a 20GB disk. The hosts
should also be running Ubuntu LTS; 18.04, 20.04 or 22.04.

It is also assumed that the user running the playbook has SSH key access
set up for the root user on the target hosts.

This playbook can be run using the following command line;

    ansible-playbook -i <inventory file> -e "username=<username>" microk8s.yml

    ie,
    ansible-playbook -i microk8s_inventory.yml -e "username=someuser" microk8s.yml

